YUI Flash Component Documentation |
Class BackgroundAndBorder

Package | com.yahoo.yui.charts
Class | public class BackgroundAndBorder
Inheritance | BackgroundAndBorder fl.core.UIComponent

Public Properties

| Property | Defined by
--- | --- | ---
|  | borderColor : uint | BackgroundAndBorder
|  | borderWeight : Number | BackgroundAndBorder
|  | fillAlpha : Number | BackgroundAndBorder
|  | fillColor : uint | BackgroundAndBorder
|  | image : String | BackgroundAndBorder
|  | imageMode : String | BackgroundAndBorder

Protected Properties

| Property | Defined by
--- | --- | ---
|  | imageLoader : UILoader | BackgroundAndBorder

Public Methods

| Method | Defined by
--- | --- | ---
|  | BackgroundAndBorder() | BackgroundAndBorder

Protected Methods

| Method | Defined by
--- | --- | ---
|  | configUI():void | BackgroundAndBorder
|  | draw():void | BackgroundAndBorder
|  | drawMask():void | BackgroundAndBorder

Property detail

borderColor | property

`borderColor:uint` [read-write]Implementation
`public function get borderColor():uint`
`public function set borderColor(value:uint):void`

borderWeight | property |

`borderWeight:Number` [read-write]Implementation
`public function get borderWeight():Number`
`public function set borderWeight(value:Number):void`

fillAlpha | property |

`fillAlpha:Number` [read-write]Implementation
`public function get fillAlpha():Number`
`public function set fillAlpha(value:Number):void`

fillColor | property |

`fillColor:uint` [read-write]Implementation
`public function get fillColor():uint`
`public function set fillColor(value:uint):void`

image | property |

`image:String` [read-write]Implementation
`public function get image():String`
`public function set image(value:String):void`

imageLoader | property |

`protected var imageLoader:UILoader`

imageMode | property |

`imageMode:String` [read-write]Implementation
`public function get imageMode():String`
`public function set imageMode(value:String):void`
Constructor detail

BackgroundAndBorder | () | constructor

`public function BackgroundAndBorder()`
Method detail

configUI | () | method

`protected override function configUI():void`

draw | () | method |

`protected override function draw():void`

drawMask | () | method |

`protected function drawMask():void`